﻿
/*
    Creation Date: 05 - 06 - 2013
    Description: This css applies to the ServiceEditPage.aspx. 
    Notes: styles prefixed with SG are applied to the Srv 
    Supplier Grid

    ------------------------------------------------
   |   SupplierItem                                 |
   |       Row Item                                 |
   |             Cell1 Item | Cell2 Item            |
   |       Row Item ...                             |
   |       ...                                      |
    ------------------------------------------------

*/


/*select:disabled {
    background-color: rgb(235, 235, 228);
    border-color:rgb(170, 170, 170);
}*/

.BModal {
    position:absolute;
    top:-20px;
    width: 100%; height:2160px;
    -moz-opacity: 0.3; -khtml-opacity: 0.3;opacity: 0.3; filter: progid:DXImageTransform.Microsoft.Alpha(opacity=30); filter:alpha(opacity=30);
    z-index:9999;
    display:none;
    background-color:black;
}

.nlblServiceTitle {
    font-family:Arial,sans-serif;
    font-weight:bold !important;
    font-size:1.8em !important;
    padding:2px 2px 2px 2px;
    width:550px !important;
}

.TestAnimation {
    animation: myfirst 2s;
    -webkit-animation:myfirst 2s;
}

@-webkit-keyframes myfirst /* Safari and Chrome */
{
0%   {background:#F5ECCE;}
25%  {background:#F3E2A9;}
50%  {background:#F5DA81;}
100% {background:#F7D358;}
}

@keyframes myfirst {
0%   {background:#F5ECCE;}
25%  {background:#F3E2A9;}
50%  {background:#F5DA81;}
100% {background:#F7D358;}
}

.SGSuppC {
    float: left;
    margin-left: 10px;
    margin-bottom:10px;   
    padding: 5px 5px 5px 5px;
    overflow:visible;
    min-width:300px;
    min-height:210px;
    background-color:rgb(240,240,242) ;
    padding:10px;
    border-radius:4px;
    border:1px solid rgb(78,93,124);
    -webkit-box-shadow: 2px 2px 13px rgba(50, 50, 50, 0.5);
    -moz-box-shadow:    2px 2px 13px rgba(50, 50, 50, 0.5);
    box-shadow:         2px 2px 13px rgba(50, 50, 50, 0.5);
}

/*
    BUttons
    */

.mybutton{
    /*padding:3px 10px;
    margin-right:4px;
    margin-bottom:6px;*/
    
    font-size:1em;
    color:white;
    float:right;
    text-align:center;
    width:30px;
    height:30px;
    line-height:36px;
    /*border:1px solid rgb(136,142,172); */
    background: rgb(76,86,134); /* Old browsers */
    background: -moz-linear-gradient(top,  rgba(76,86,134,0.5) 10%, rgba(129,141,177,0.5) 90%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(10%,rgba(76,86,134,0.5)), color-stop(90%,rgba(129,141,177,0.5))); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top,  rgba(76,86,134,0.5) 10%,rgba(129,141,177,0.5) 90%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top,  rgba(76,86,134,0.5) 10%,rgba(129,141,177,0.5) 90%); /* Opera 11.10+ */
    background: -ms-linear-gradient(top,  rgba(76,86,134,0.5) 10%,rgba(129,141,177,0.5) 90%); /* IE10+ */
    background: linear-gradient(to bottom,  rgba(76,86,134,0.5) 10%,rgba(129,141,177,0.5) 90%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#804c5686', endColorstr='#80818db1',GradientType=0 ); /* IE6-9 */
}


.mybutton:hover{
    /*border:1px solid rgb(131,43,0);*/
    background: rgb(255,169,61); /* Old browsers */
    background: -moz-linear-gradient(top,  rgb(255,169,61) 10%, rgb(203,68,15) 90%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(10%,rgb(255,169,61)), color-stop(90%,rgb(203,68,15))); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top,  rgb(255,169,61) 10%,rgb(203,68,15) 90%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top,  rgb(255,169,61) 10%,rgb(203,68,15) 90%); /* Opera 11.10+ */
    background: -ms-linear-gradient(top,  rgb(255,169,61) 10%,rgb(203,68,15) 90%); /* IE10+ */
    background: linear-gradient(to bottom,  rgb(255,169,61) 10%,rgb(203,68,15) 90%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#de7e5d', endColorstr='#7e2100',GradientType=0 ); /* IE6-9 */
}


.mycommandD
{
    margin-right:6px;
    margin-bottom:4px;
    border-radius:4px;
    font-size:1em;
    color:white;
    text-align:center;
    width:30px;
    height:30px;
    line-height:36px;
    border:1px solid rgb(136,142,172);
    background: rgb(76,86,134); /* Old browsers */
    background: -moz-linear-gradient(top,  rgba(76,86,134,0.2) 10%, rgba(129,141,177,0.2) 90%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(10%,rgba(76,86,134,0.2)), color-stop(90%,rgba(129,141,177,0.2))); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top,  rgba(76,86,134,0.2) 10%,rgba(129,141,177,0.2) 90%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top,  rgba(76,86,134,0.2) 10%,rgba(129,141,177,0.2) 90%); /* Opera 11.10+ */
    background: -ms-linear-gradient(top,  rgba(76,86,134,0.2) 10%,rgba(129,141,177,0.2) 90%); /* IE10+ */
    background: linear-gradient(to bottom,  rgba(76,86,134,0.2) 10%,rgba(129,141,177,0.2) 90%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#804c5686', endColorstr='#80818db1',GradientType=0 ); /* IE6-9 */
}

.mycommand
{
    margin-right:6px;
    margin-bottom:4px;
    border-radius:4px;
    font-size:1em;
    color:white;
    text-align:center;
    width:30px;
    height:30px;
    line-height:36px;
    border:1px solid rgb(136,142,172);
    background: rgb(76,86,134); /* Old browsers */
    background: -moz-linear-gradient(top,  rgba(76,86,134,0.5) 10%, rgba(129,141,177,0.5) 90%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(10%,rgba(76,86,134,0.5)), color-stop(90%,rgba(129,141,177,0.5))); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top,  rgba(76,86,134,0.5) 10%,rgba(129,141,177,0.5) 90%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top,  rgba(76,86,134,0.5) 10%,rgba(129,141,177,0.5) 90%); /* Opera 11.10+ */
    background: -ms-linear-gradient(top,  rgba(76,86,134,0.5) 10%,rgba(129,141,177,0.5) 90%); /* IE10+ */
    background: linear-gradient(to bottom,  rgba(76,86,134,0.5) 10%,rgba(129,141,177,0.5) 90%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#804c5686', endColorstr='#80818db1',GradientType=0 ); /* IE6-9 */
}
    .mycommand:hover
    {
        border:1px solid rgb(164,78,0);
        background: rgb(255,169,61); /* Old browsers */
        background: -moz-linear-gradient(top,  rgb(255,169,61) 10%, rgb(203,68,15) 90%); /* FF3.6+ */
        background: -webkit-gradient(linear, left top, left bottom, color-stop(10%,rgb(255,169,61)), color-stop(90%,rgb(203,68,15))); /* Chrome,Safari4+ */
        background: -webkit-linear-gradient(top,  rgb(255,169,61) 10%,rgb(203,68,15) 90%); /* Chrome10+,Safari5.1+ */
        background: -o-linear-gradient(top,  rgb(255,169,61) 10%,rgb(203,68,15) 90%); /* Opera 11.10+ */
        background: -ms-linear-gradient(top,  rgb(255,169,61) 10%,rgb(203,68,15) 90%); /* IE10+ */
        background: linear-gradient(to bottom,  rgb(255,169,61) 10%,rgb(203,68,15) 90%); /* W3C */
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#de7e5d', endColorstr='#7e2100',GradientType=0 ); /* IE6-9 */
    }




.SGBtnFE {
}

.SGBtnD {
}

.SGBtnE {
}

.SGBtnS {

}

/*.SGBtn
{
  border: 1px solid #777777;
  background: #6e9e2d;
  color: white;
  font: bold 11px 'Trebuchet MS';
  padding: 4px;
  cursor: pointer;
  -moz-border-radius: 4px;
  -webkit-border-radius: 4px;
  float:right;
  margin-left:5px;
}*/

.SGTitle {
    float: left;
    font-weight: bold;
    font-size: 11pt;
    width:150px;
    padding-right: 10px;
}

.SGImg {
    float: left;
    margin-right:10px;
}

/* Currently not used... can be used for alternating color of person and company suppliers*/
.SGSuppP {
    float: left;
    margin-left: 10px;
    margin-bottom:10px;
    width:220px;
    background-color:#A9F5F2;
}

/* this is applied on every cell within a row item of the service supplier  */
.SGDsp {
    float:left;
    /* float:right; */
    width: 120px;
    text-align:right;
    margin-right:2px;
    margin-left:2px;
}

.SGVal {
    float:left;
    width: 130px;
    text-wrap:normal;
    margin-right:2px;
    margin-left:2px;
}

.SGRow {
    clear: both;
    padding-bottom:25px;
}




/* The following need to be revised */
 .tabdiv {
    padding: 5px;
}


.profits td {
    padding-right:30px;
}

.costs td {
    padding-right:30px;
}

 .pcmCellCaption {
            white-space: nowrap;
            padding-top: 5px;
        }

        .pcmCellText {
            padding-left: 10px;
            padding-top: 2px;
        }

        .pcmCheckBox {
            padding-left: 6px;
            padding-bottom: 10px;
        }

        .pcmCreateAccount {
            text-align: right;
            padding-top: 8px;
            padding-bottom: 4px;
        }

        .pcmButton {
            padding-top: 10px;
            padding-bottom: 0px;
        }

        .pcmSideSpacer {
            width: 60px;
            height: 1px;
        }

 
         .serviceStatusBox a {
            color: white;
            text-decoration: none;
        }

          .serviceStatusBox img {
            top: 3px;
            position: relative;
        }

        .serviceStatusBox{
            margin-bottom:3px;
            margin-left:5px;
            float:left;
            padding-left: 2px;
            padding-right: 2px;
            border: 1px solid rgba(88,96,162,.5);
            color: white;
            text-decoration: none;
            background: -moz-linear-gradient(top, rgba(129,141,177,0.5) 10%, rgba(76,86,134,0.5) 90%);
            background: -webkit-gradient(linear, left top, left bottom, color-stop(10%,rgba(129,141,177,0.5)), color-stop(90%,rgba(76,86,134,0.5)));
            background: -webkit-linear-gradient(top, rgba(129,141,177,0.5) 10%,rgba(76,86,134,0.5) 90%);
            background: -o-linear-gradient(top, rgba(129,141,177,0.5) 10%,rgba(76,86,134,0.5) 90%);
            background: -ms-linear-gradient(top, rgba(129,141,177,0.5) 10%,rgba(76,86,134,0.5) 90%);
            background: linear-gradient(to bottom, rgba(129,141,177,0.5) 10%,rgba(76,86,134,0.5) 90%);
            filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#80818db1', endColorstr='#804c5686',GradientType=0 );
            overflow: hidden;
        }
        /* serviceStatusBox2 is used for showing the large icons for statuses*/
        .serviceStatusBox2 a {
            color: white;
            text-decoration: none;
        }

          .serviceStatusBox2 img {
            top: 0px;
            position: relative;
        }

        .serviceStatusBox2{
            margin-left:2px;
            float:left;
            padding-left: 2px;
            padding-right: 1px;
            color: white;
            text-decoration: none;
            overflow: hidden;
            padding-top:7px;
        }
        /*<style type="text/css">*/
    .tabdiv
    {
        padding:5px;
    }
    table
    {

    }
        table .tdr
        {
        text-align:right;
        vertical-align:top;
        padding:5px 2px 5px 2px;
        }
        table .tdl
        {
        text-align:left;
        vertical-align:top;
        padding:5px 2px 5px 2px;
        }


    .tstyle
    {
        font-family:Arial,sans-serif;
        font-size:14pt;
        border-radius:4px 4px 0 0;
        /*padding:5px 10px;*/
        color:white;
        text-decoration:none;
        background: rgb(159,169,184); /* Old browsers */
        background: -moz-linear-gradient(top,  rgb(159,169,184) 0%, rgb(98,109,144) 100%); /* FF3.6+ */
        background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgb(159,169,184)), color-stop(100%,rgb(98,109,144))); /* Chrome,Safari4+ */
        background: -webkit-linear-gradient(top,  rgb(159,169,184) 0%,rgb(98,109,144) 100%); /* Chrome10+,Safari5.1+ */
        background: -o-linear-gradient(top,  rgb(159,169,184) 0%,rgb(98,109,144) 100%); /* Opera 11.10+ */
        background: -ms-linear-gradient(top,  rgb(159,169,184) 0%,rgb(98,109,144) 100%); /* IE10+ */
        background: linear-gradient(to bottom,  rgb(159,169,184) 0%,rgb(98,109,144) 100%); /* W3C */
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#9fa9b8', endColorstr='#626d90',GradientType=0 ); /* IE6-9 */    
    }
    .astyle
    {
        color:rgb(94,104,141);
        border:1px solid rgb(78,93,124);
        /*background-color:rgb(240,240,242);*/
        background-image:none;
        border-width:1px 1px 0 1px;

        background: rgb(159,169,184); /* Old browsers */
        background: -moz-linear-gradient(top,  rgb(190,200,230) 0%, rgb(240,240,250) 100%); /* FF3.6+ */
        background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgb(190,200,230)), color-stop(100%,rgb(240,240,250))); /* Chrome,Safari4+ */
        background: -webkit-linear-gradient(top,  rgb(190,200,230) 0%,rgb(240,240,250) 100%); /* Chrome10+,Safari5.1+ */
        background: -o-linear-gradient(top,  rgb(190,200,230) 0%,rgb(240,240,250) 100%); /* Opera 11.10+ */
        background: -ms-linear-gradient(top,  rgb(190,200,230) 0%,rgb(240,240,250) 100%); /* IE10+ */
        background: linear-gradient(to bottom,  rgb(190,200,230) 0%,rgb(240,240,250) 100%); /* W3C */
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#9fa9b8', endColorstr='#626d90',GradientType=0 ); /* IE6-9 */    

    }
    .mtab
    {
        background-color:rgb(240,240,250);
        overflow: visible !important;
    }

    .highzorder
    {
        z-index:9999999;
    }
